Bug 186470 - japanese/kakasi for libiconv change
Summary: japanese/kakasi for libiconv change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-05 04:30 UTC by ota
Modified: 2014-02-08 20:05 UTC (History)
0 users

See Also:


Attachments
file.diff (796 bytes, patch)
2014-02-05 04:30 UTC, ota
no flags Details | Diff
kakasi-2.3.5-patch.txt (3.29 KB, text/plain)
2014-02-06 03:29 UTC, ota
no flags Details
kakasi.patch (2.95 KB, patch)
2014-02-06 14:57 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ota 2014-02-05 04:30:00 UTC
kakasi Makefile to use "USES iconv."

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-02-05 04:30:08 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Tijl Coosemans freebsd_committer 2014-02-05 12:47:04 UTC
Are you sure the port needs iconv?  I cannot find any reference to iconv
in the source code with "grep -Ri iconv work/kakasi-2.3.4".
Comment 3 ota 2014-02-05 13:55:42 UTC
On Wed, 5 Feb 2014 13:47:04 +0100
Tijl Coosemans <tijl@FreeBSD.org> wrote:

> Are you sure the port needs iconv?  I cannot find any reference to iconv
> in the source code with "grep -Ri iconv work/kakasi-2.3.4".

Yes, indeed.
Then, I think it is 2.3.5 needs iconv.
It looked a bit challanging and thought add iconv support, first and sepearate.

Let me look in iconv along with 2.3.5 update.

Hiro
Comment 4 ota 2014-02-06 03:29:29 UTC
It looks "configure" in the bundle does not detect iconv correctly.
It will need more work.

So, instead, I updated to 2.3.5 first while disabling iconv support.
I attached changes for version up.

I will work on libiconv handling on after settling this down.

Hiro
Comment 5 Tijl Coosemans freebsd_committer 2014-02-06 08:58:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Take.
Comment 6 Tijl Coosemans 2014-02-06 14:57:24 UTC
Hi,

I've reworked your patch to add iconv support with these lines:

CONFIGURE_ARGS=        ${ICONV_CONFIGURE_ARG}
CPPFLAGS+=     -I${LOCALBASE}/include
LDFLAGS+=      -L${LOCALBASE}/lib

Upstream needs to update config.rpath (it's very old) and in configure.in
at line 85 it should be:

CPPFLAGS="$INCICONV $CPPFLAGS" LIBS="$LIBICONV $LIBS"

Then you can remove CPPFLAGS+=... and LDFLAGS+=... from the port Makefile.

Also included in the patch:
- Add LICENSE.
- Add DOCS option.
- Support staging.
- Remove -Wno-unused-result in post-patch instead of files/patch-configure.
- Use %%DOCSDIR%% and %%DATADIR%% in pkg-plist.

I've tested everything on redports, but please give it a final review
to make sure it works correctly.
https://redports.org/buildarchive/20140206134300-17242/
Comment 7 ota 2014-02-07 04:33:24 UTC
Thanks for your help.

I noticed problems with configure itself and attempted
with automake or something but couldn't get to the goal.

I only tested small sets of functionalities but it looks working.


On Thu, 6 Feb 2014 15:57:24 +0100
Tijl Coosemans <tijl@coosemans.org> wrote:

> Hi,
> 
> I've reworked your patch to add iconv support with these lines:
> 
> CONFIGURE_ARGS=        ${ICONV_CONFIGURE_ARG
> LDFLAGS+=      -L${LOCALBASE}/lib
> 
> Upstream needs to update config.rpath (it's very old) and in configure.in
> at line 85 it should be:
> 
> CPPFLAGS="$INCICONV $CPPFLAGS" LIBS="$LIBICONV $LIBS"
> 
> Then you can remove CPPFLAGS+=... and LDFLAGS+=... from the port Makefile.
> 
> Also included in the patch:
> - Add LICENSE.
> - Add DOCS option.
> - Support staging.
> - Remove -Wno-unused-result in post-patch instead of files/patch-configure.
> - Use %%DOCSDIR%% and %%DATADIR%% in pkg-plist.
> 
> I've tested everything on redports, but please give it a final review
> to make sure it works correctly.
> https://redports.org/buildarchive/20140206134300-17242/
Comment 8 dfilter service freebsd_committer 2014-02-08 17:05:47 UTC
Author: tijl
Date: Sat Feb  8 17:05:40 2014
New Revision: 343366
URL: http://svnweb.freebsd.org/changeset/ports/343366
QAT: https://qat.redports.org/buildarchive/r343366/

Log:
  - Update to version 2.3.5.
  - Add DOCS option, USES=libtool, staging.
  
  PR:		ports/186470
  Submitted by:	Yoshihiro Ota <ota@j.email.ne.jp> (maintainer)

Modified:
  head/japanese/kakasi/Makefile
  head/japanese/kakasi/distinfo
  head/japanese/kakasi/pkg-plist

Modified: head/japanese/kakasi/Makefile
==============================================================================
--- head/japanese/kakasi/Makefile	Sat Feb  8 16:49:48 2014	(r343365)
+++ head/japanese/kakasi/Makefile	Sat Feb  8 17:05:40 2014	(r343366)
@@ -2,31 +2,41 @@
 # $FreeBSD$
 
 PORTNAME=	kakasi
-PORTVERSION=	2.3.4
+PORTVERSION=	2.3.5
 CATEGORIES=	japanese textproc
 MASTER_SITES=	http://kakasi.namazu.org/stable/
 
 MAINTAINER=	ota@j.email.ne.jp
 COMMENT=	Kanji-Kana Simple Inverter, language filter for Japanese
 
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
+LICENSE=	GPLv2
 
-MANLANG=	ja
-MAN1=		kakasi.1
+GNU_CONFIGURE=	yes
+USES=		iconv libtool:oldver
 USE_LDCONFIG=	yes
 
+OPTIONS_DEFINE=	DOCS
+
+CONFIGURE_ARGS=	${ICONV_CONFIGURE_ARG}
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
 DOCS=		NEWS README README-ja TODO \
 		doc/ChangeLog.lib doc/JISYO \
 		doc/README.lib doc/README.wakati
 
-NO_STAGE=	yes
+.include <bsd.port.options.mk>
+
+post-patch:
+	@${REINPLACE_CMD} -e 's/-Wno-unused-result//' ${WRKSRC}/configure
+
 post-install:
-	${INSTALL_MAN} ${WRKSRC}/doc/kakasi.1 ${PREFIX}/man/${MANLANG}/man1
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
+	${INSTALL_MAN} ${WRKSRC}/man/kakasi.1.ja \
+		${STAGEDIR}${MAN1PREFIX}/man/ja/man1/kakasi.1
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for f in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}/
+	${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 

Modified: head/japanese/kakasi/distinfo
==============================================================================
--- head/japanese/kakasi/distinfo	Sat Feb  8 16:49:48 2014	(r343365)
+++ head/japanese/kakasi/distinfo	Sat Feb  8 17:05:40 2014	(r343366)
@@ -1,2 +1,2 @@
-SHA256 (kakasi-2.3.4.tar.gz) = c272560f5c11fe45b011c4e26ada66218fb0109d5582c5876aa49c5e24718534
-SIZE (kakasi-2.3.4.tar.gz) = 1099258
+SHA256 (kakasi-2.3.5.tar.gz) = f332c008f03a8d017b09221a1ded9c0c7b61212b49a74d96f6eca3f93ba329eb
+SIZE (kakasi-2.3.5.tar.gz) = 1351215

Modified: head/japanese/kakasi/pkg-plist
==============================================================================
--- head/japanese/kakasi/pkg-plist	Sat Feb  8 16:49:48 2014	(r343365)
+++ head/japanese/kakasi/pkg-plist	Sat Feb  8 17:05:40 2014	(r343366)
@@ -9,15 +9,17 @@ lib/libkakasi.a
 lib/libkakasi.la
 lib/libkakasi.so
 lib/libkakasi.so.3
-%%PORTDOCS%%share/doc/kakasi/ChangeLog.lib
-%%PORTDOCS%%share/doc/kakasi/JISYO
-%%PORTDOCS%%share/doc/kakasi/NEWS
-%%PORTDOCS%%share/doc/kakasi/README
-%%PORTDOCS%%share/doc/kakasi/README-ja
-%%PORTDOCS%%share/doc/kakasi/README.lib
-%%PORTDOCS%%share/doc/kakasi/README.wakati
-%%PORTDOCS%%share/doc/kakasi/TODO
-%%PORTDOCS%%@dirrm share/doc/kakasi
-share/kakasi/itaijidict
-share/kakasi/kanwadict
-@dirrm share/kakasi
+man/ja/man1/kakasi.1.gz
+man/man1/kakasi.1.gz
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog.lib
+%%PORTDOCS%%%%DOCSDIR%%/JISYO
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/README-ja
+%%PORTDOCS%%%%DOCSDIR%%/README.lib
+%%PORTDOCS%%%%DOCSDIR%%/README.wakati
+%%PORTDOCS%%%%DOCSDIR%%/TODO
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%DATADIR%%/itaijidict
+%%DATADIR%%/kanwadict
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Tijl Coosemans freebsd_committer 2014-02-08 20:05:15 UTC
State Changed
From-To: open->closed

Committed in r343366.